CREATE OR REPLACE TRIGGER SET_DB_CONNECTION_CONNECTION_I
BEFORE INSERT
ON DB_CONNECTION
FOR EACH ROW
BEGIN
  SELECT DB_CONNECTION_CONNECTION_I_SEQ.NEXTVAL
  INTO :NEW.CONNECTION_ID
  FROM DUAL;
END;
/
;
